# MSP::CCS::CoordinateConversionException Class Reference

`#include <CoordinateConversionException.h>`

List of all members.

## Public Member Functions

| CoordinateConversionException (char *__message)
| CoordinateConversionException (char *__directionStr, char *__coordinateSystemName, char *__separatorStr, char *__message)
virtual | ~CoordinateConversionException ()
char * | getMessage ()

## Detailed Description

Definition at line 27 of file CoordinateConversionException.h.

## Constructor & Destructor Documentation

MSP::CCS::CoordinateConversionException::CoordinateConversionException | ( | char * | __message | ) | `[inline]`

Creates a new instance of CoordinateConversionException

Definition at line 34 of file CoordinateConversionException.h.

MSP::CCS::CoordinateConversionException::CoordinateConversionException | ( | char * | __directionStr,
|  | char * | __coordinateSystemName,
|  | char * | __separatorStr,
|  | char * | __message |
| ) |  |  | `[inline]`

Definition at line 40 of file CoordinateConversionException.h.

virtual MSP::CCS::CoordinateConversionException::~CoordinateConversionException | ( |  | ) | `[inline, virtual]`

Definition at line 49 of file CoordinateConversionException.h.

## Member Function Documentation

char* MSP::CCS::CoordinateConversionException::getMessage | ( |  | ) | `[inline]`

Definition at line 52 of file CoordinateConversionException.h.

The documentation for this class was generated from the following file:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/Exception/CoordinateConversionException.h